body {
  background-color: #131415;
  min-height: 100vh;
  font-family: "Open Sans", sans-serif;
  background-image: url("data:image/svg+xml,%3Csvg width='120' height='120' viewBox='0 0 120 120' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 0h2v20H9V0zm25.134.84l1.732 1-10 17.32-1.732-1 10-17.32zm-20 20l1.732 1-10 17.32-1.732-1 10-17.32zM58.16 4.134l1 1.732-17.32 10-1-1.732 17.32-10zm-40 40l1 1.732-17.32 10-1-1.732 17.32-10zM80 9v2H60V9h20zM20 69v2H0v-2h20zm79.32-55l-1 1.732-17.32-10L82 4l17.32 10zm-80 80l-1 1.732-17.32-10L2 84l17.32 10zm96.546-75.84l-1.732 1-10-17.32 1.732-1 10 17.32zm-100 100l-1.732 1-10-17.32 1.732-1 10 17.32zM38.16 24.134l1 1.732-17.32 10-1-1.732 17.32-10zM60 29v2H40v-2h20zm19.32 5l-1 1.732-17.32-10L62 24l17.32 10zm16.546 4.16l-1.732 1-10-17.32 1.732-1 10 17.32zM111 40h-2V20h2v20zm3.134.84l1.732 1-10 17.32-1.732-1 10-17.32zM40 49v2H20v-2h20zm19.32 5l-1 1.732-17.32-10L42 44l17.32 10zm16.546 4.16l-1.732 1-10-17.32 1.732-1 10 17.32zM91 60h-2V40h2v20zm3.134.84l1.732 1-10 17.32-1.732-1 10-17.32zm24.026 3.294l1 1.732-17.32 10-1-1.732 17.32-10zM39.32 74l-1 1.732-17.32-10L22 64l17.32 10zm16.546 4.16l-1.732 1-10-17.32 1.732-1 10 17.32zM71 80h-2V60h2v20zm3.134.84l1.732 1-10 17.32-1.732-1 10-17.32zm24.026 3.294l1 1.732-17.32 10-1-1.732 17.32-10zM120 89v2h-20v-2h20zm-84.134 9.16l-1.732 1-10-17.32 1.732-1 10 17.32zM51 100h-2V80h2v20zm3.134.84l1.732 1-10 17.32-1.732-1 10-17.32zm24.026 3.294l1 1.732-17.32 10-1-1.732 17.32-10zM100 109v2H80v-2h20zm19.32 5l-1 1.732-17.32-10 1-1.732 17.32 10zM31 120h-2v-20h2v20z' fill='%23343540' fill-opacity='0.89' fill-rule='evenodd'/%3E%3C/svg%3E");
  font-weight: 700;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
h1 {
  margin: 0;
  font-style: italic;
}
* {
  color: #fff;
  box-sizing: border-box;
  margin: 0px;
  padding: 0px;
}
#new-quote {
  background-color: #fff;
  color: black;
}
#new-quote:hover {
  background-color: black;
  color: white;
}
.quote-container {
  background-color: #343540;
  max-width: 80%;
  padding: 20px 0;
  border-radius: 10px;
  box-shadow: 1px 8px 38px #e7e7e73b;
  position: relative;
  width: 100%;
}
p.quote-text {
  margin: 0 10px;
  font-size: larger;
  line-height: 1.6;
}
button {
  cursor: pointer;
  font-size: 1.2rem;
  height: 2.5rem;
  border: none;
  border-radius: 10px;
  color: #fff;
  background-color: #2196f3;
  outline: none;
  padding: 0.5rem 1.8rem 0.5rem 1.8rem;
  box-shadow: 0 0.3rem rgba(121, 121, 121, 0.65);
  transition: 0.3s;
}
@media (max-width: 550px) {
  button {
    font-size: 0.9rem;

    padding: 0.5rem 1.3rem 0.5rem 1.3rem;
  }
}
button:hover {
  filter: brightness(110%);
}

button:active {
  transform: translate(0, 0.3rem);
  box-shadow: 0 0 rgba(255, 255, 255, 0.65);
}

p.qoute-text {
  margin: 15px 0;
  padding: 15px;
  border: 1px solid;
  border-color: white transparent;
  font-size: larger;
}
span {
  display: block;
  margin: 15px;
}
strong {
  margin: 15px;
  font-weight: 900;
  font-size: 20px;
  width: fit-content;
  color: #9e9e9e;
}
.button-container {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  margin: 10px 0;
  flex-wrap: wrap;
  gap: 10px;
}
i.fa-solid.fa-quote-left {
  font-size: 40px;
}

.loader {
  width: 60px;
  height: 60px;
  border: 10px solid #fff;
  border-radius: 50%;
  position: relative;
  transform: rotate(45deg);
  box-sizing: border-box;
}
.loader::before {
  content: "";
  position: absolute;
  box-sizing: border-box;
  inset: -10px;
  border-radius: 50%;
  border: 10px solid #343540;
  animation: prixClipFix 2s infinite linear;
}

@keyframes prixClipFix {
  0% {
    clip-path: polygon(50% 50%, 0 0, 0 0, 0 0, 0 0, 0 0);
  }
  25% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 0, 100% 0, 100% 0);
  }
  50% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 100% 100%, 100% 100%);
  }
  75% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 0 100%, 0 100%);
  }
  100% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 0 100%, 0 0);
  }
}

.loading {
  width: 100%;
  height: 100%;
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hidden {
  display: none;
}
